import { z } from 'zod';
export declare const eventSchema: z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    date: z.ZodDate;
    location: z.ZodString;
    folderId: z.ZodNullable<z.ZodString>;
    tagAssistedId: z.ZodString;
    tagConfirmedId: z.ZodString;
    supraEventId: z.ZodNullable<z.ZodString>;
    created_at: z.ZodDate;
    updated_at: z.ZodDate;
}, "strip", z.ZodTypeAny, {
    location: string;
    id: string;
    name: string;
    date: Date;
    created_at: Date;
    updated_at: Date;
    folderId: string | null;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId: string | null;
}, {
    location: string;
    id: string;
    name: string;
    date: Date;
    created_at: Date;
    updated_at: Date;
    folderId: string | null;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId: string | null;
}>;
