import z from 'zod';
export declare const findAllLocationResponseSchema: z.ZodObject<{
    birthLocations: z.ZodArray<z.ZodObject<z.objectUtil.extendShape<{
        city: z.ZodString;
        longitude: z.ZodNumber;
        latitude: z.ZodNumber;
    }, {
        _count: z.ZodObject<{
            birthProfiles: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            birthProfiles: number;
        }, {
            birthProfiles: number;
        }>;
    }>, "strip", z.ZodTypeAny, {
        latitude: number;
        longitude: number;
        _count: {
            birthProfiles: number;
        };
        city: string;
    }, {
        latitude: number;
        longitude: number;
        _count: {
            birthProfiles: number;
        };
        city: string;
    }>, "many">;
    residenceLocations: z.ZodArray<z.ZodObject<z.objectUtil.extendShape<{
        city: z.ZodString;
        longitude: z.ZodNumber;
        latitude: z.ZodNumber;
    }, {
        _count: z.ZodObject<{
            residenceProfiles: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            residenceProfiles: number;
        }, {
            residenceProfiles: number;
        }>;
    }>, "strip", z.ZodTypeAny, {
        latitude: number;
        longitude: number;
        _count: {
            residenceProfiles: number;
        };
        city: string;
    }, {
        latitude: number;
        longitude: number;
        _count: {
            residenceProfiles: number;
        };
        city: string;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    birthLocations: {
        latitude: number;
        longitude: number;
        _count: {
            birthProfiles: number;
        };
        city: string;
    }[];
    residenceLocations: {
        latitude: number;
        longitude: number;
        _count: {
            residenceProfiles: number;
        };
        city: string;
    }[];
}, {
    birthLocations: {
        latitude: number;
        longitude: number;
        _count: {
            birthProfiles: number;
        };
        city: string;
    }[];
    residenceLocations: {
        latitude: number;
        longitude: number;
        _count: {
            residenceProfiles: number;
        };
        city: string;
    }[];
}>;
declare const FindAllLocationResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    birthLocations: z.ZodArray<z.ZodObject<{
        city: z.ZodString;
        longitude: z.ZodNumber;
        latitude: z.ZodNumber;
        _count: z.ZodObject<{
            birthProfiles: z.ZodNumber;
        }, z.UnknownKeysParam, z.ZodTypeAny, {
            birthProfiles: number;
        }, {
            birthProfiles: number;
        }>;
    }, z.UnknownKeysParam, z.ZodTypeAny, {
        latitude: number;
        longitude: number;
        _count: {
            birthProfiles: number;
        };
        city: string;
    }, {
        latitude: number;
        longitude: number;
        _count: {
            birthProfiles: number;
        };
        city: string;
    }>, "many">;
    residenceLocations: z.ZodArray<z.ZodObject<{
        city: z.ZodString;
        longitude: z.ZodNumber;
        latitude: z.ZodNumber;
        _count: z.ZodObject<{
            residenceProfiles: z.ZodNumber;
        }, z.UnknownKeysParam, z.ZodTypeAny, {
            residenceProfiles: number;
        }, {
            residenceProfiles: number;
        }>;
    }, z.UnknownKeysParam, z.ZodTypeAny, {
        latitude: number;
        longitude: number;
        _count: {
            residenceProfiles: number;
        };
        city: string;
    }, {
        latitude: number;
        longitude: number;
        _count: {
            residenceProfiles: number;
        };
        city: string;
    }>, "many">;
}, z.UnknownKeysParam, z.ZodTypeAny, {
    birthLocations: {
        latitude: number;
        longitude: number;
        _count: {
            birthProfiles: number;
        };
        city: string;
    }[];
    residenceLocations: {
        latitude: number;
        longitude: number;
        _count: {
            residenceProfiles: number;
        };
        city: string;
    }[];
}, {
    birthLocations: {
        latitude: number;
        longitude: number;
        _count: {
            birthProfiles: number;
        };
        city: string;
    }[];
    residenceLocations: {
        latitude: number;
        longitude: number;
        _count: {
            residenceProfiles: number;
        };
        city: string;
    }[];
}>>;
export declare class FindAllLocationResponseDto extends FindAllLocationResponseDto_base {
}
export {};
