import z from 'zod';
export declare const findByTagGroupsProfileResponseSchema: z.ZodObject<{
    profiles: z.ZodArray<z.ZodObject<z.objectUtil.extendShape<{
        id: z.ZodString;
        shortId: z.ZodNumber;
        phoneNumber: z.ZodEffects<z.ZodString, string, string>;
        secondaryPhoneNumber: z.ZodEffects<z.ZodNullable<z.ZodString>, string | null, string | null>;
        fullName: z.ZodString;
        firstName: z.ZodNullable<z.ZodString>;
        gender: z.ZodNullable<z.ZodString>;
        birthDate: z.ZodNullable<z.ZodPipeline<z.ZodString, z.ZodDate>>;
        profilePictureUrl: z.ZodNullable<z.ZodString>;
        instagram: z.ZodNullable<z.ZodString>;
        mail: z.ZodNullable<z.ZodString>;
        dni: z.ZodNullable<z.ZodString>;
        alternativeNames: z.ZodArray<z.ZodString, "many">;
        birthLocationId: z.ZodNullable<z.ZodString>;
        residenceLocationId: z.ZodNullable<z.ZodString>;
        isInTrash: z.ZodBoolean;
        movedToTrashDate: z.ZodNullable<z.ZodDate>;
        created_at: z.ZodDate;
        updated_at: z.ZodDate;
    }, {
        tags: z.ZodArray<z.ZodObject<{
            id: z.ZodString;
            name: z.ZodString;
            groupId: z.ZodString;
            type: z.ZodNativeEnum<{
                PROFILE: "PROFILE";
                EVENT: "EVENT";
                PARTICIPANT: "PARTICIPANT";
                NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
            }>;
            created_at: z.ZodDate;
            updated_at: z.ZodDate;
        }, "strip", z.ZodTypeAny, {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: Date;
            updated_at: Date;
            groupId: string;
        }, {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: Date;
            updated_at: Date;
            groupId: string;
        }>, "many">;
    }>, "strip", z.ZodTypeAny, {
        id: string;
        phoneNumber: string;
        secondaryPhoneNumber: string | null;
        fullName: string;
        profilePictureUrl: string | null;
        created_at: Date;
        updated_at: Date;
        tags: {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: Date;
            updated_at: Date;
            groupId: string;
        }[];
        shortId: number;
        firstName: string | null;
        gender: string | null;
        birthDate: Date | null;
        instagram: string | null;
        mail: string | null;
        dni: string | null;
        alternativeNames: string[];
        birthLocationId: string | null;
        residenceLocationId: string | null;
        isInTrash: boolean;
        movedToTrashDate: Date | null;
    }, {
        id: string;
        phoneNumber: string;
        secondaryPhoneNumber: string | null;
        fullName: string;
        profilePictureUrl: string | null;
        created_at: Date;
        updated_at: Date;
        tags: {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: Date;
            updated_at: Date;
            groupId: string;
        }[];
        shortId: number;
        firstName: string | null;
        gender: string | null;
        birthDate: string | null;
        instagram: string | null;
        mail: string | null;
        dni: string | null;
        alternativeNames: string[];
        birthLocationId: string | null;
        residenceLocationId: string | null;
        isInTrash: boolean;
        movedToTrashDate: Date | null;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    profiles: {
        id: string;
        phoneNumber: string;
        secondaryPhoneNumber: string | null;
        fullName: string;
        profilePictureUrl: string | null;
        created_at: Date;
        updated_at: Date;
        tags: {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: Date;
            updated_at: Date;
            groupId: string;
        }[];
        shortId: number;
        firstName: string | null;
        gender: string | null;
        birthDate: Date | null;
        instagram: string | null;
        mail: string | null;
        dni: string | null;
        alternativeNames: string[];
        birthLocationId: string | null;
        residenceLocationId: string | null;
        isInTrash: boolean;
        movedToTrashDate: Date | null;
    }[];
}, {
    profiles: {
        id: string;
        phoneNumber: string;
        secondaryPhoneNumber: string | null;
        fullName: string;
        profilePictureUrl: string | null;
        created_at: Date;
        updated_at: Date;
        tags: {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: Date;
            updated_at: Date;
            groupId: string;
        }[];
        shortId: number;
        firstName: string | null;
        gender: string | null;
        birthDate: string | null;
        instagram: string | null;
        mail: string | null;
        dni: string | null;
        alternativeNames: string[];
        birthLocationId: string | null;
        residenceLocationId: string | null;
        isInTrash: boolean;
        movedToTrashDate: Date | null;
    }[];
}>;
declare const FindByTagGroupsProfileResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    profiles: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        shortId: z.ZodNumber;
        phoneNumber: z.ZodEffects<z.ZodString, string, string>;
        secondaryPhoneNumber: z.ZodEffects<z.ZodNullable<z.ZodString>, string | null, string | null>;
        fullName: z.ZodString;
        firstName: z.ZodNullable<z.ZodString>;
        gender: z.ZodNullable<z.ZodString>;
        birthDate: z.ZodNullable<z.ZodPipeline<z.ZodString, z.ZodDate>>;
        profilePictureUrl: z.ZodNullable<z.ZodString>;
        instagram: z.ZodNullable<z.ZodString>;
        mail: z.ZodNullable<z.ZodString>;
        dni: z.ZodNullable<z.ZodString>;
        alternativeNames: z.ZodArray<z.ZodString, "many">;
        birthLocationId: z.ZodNullable<z.ZodString>;
        residenceLocationId: z.ZodNullable<z.ZodString>;
        isInTrash: z.ZodBoolean;
        movedToTrashDate: z.ZodNullable<z.ZodString>;
        created_at: z.ZodString;
        updated_at: z.ZodString;
        tags: z.ZodArray<z.ZodObject<{
            id: z.ZodString;
            name: z.ZodString;
            groupId: z.ZodString;
            type: z.ZodNativeEnum<{
                PROFILE: "PROFILE";
                EVENT: "EVENT";
                PARTICIPANT: "PARTICIPANT";
                NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
            }>;
            created_at: z.ZodString;
            updated_at: z.ZodString;
        }, z.UnknownKeysParam, z.ZodTypeAny, {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: string;
            updated_at: string;
            groupId: string;
        }, {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: string;
            updated_at: string;
            groupId: string;
        }>, "many">;
    }, z.UnknownKeysParam, z.ZodTypeAny, {
        id: string;
        phoneNumber: string;
        secondaryPhoneNumber: string | null;
        fullName: string;
        profilePictureUrl: string | null;
        created_at: string;
        updated_at: string;
        tags: {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: string;
            updated_at: string;
            groupId: string;
        }[];
        shortId: number;
        firstName: string | null;
        gender: string | null;
        birthDate: Date | null;
        instagram: string | null;
        mail: string | null;
        dni: string | null;
        alternativeNames: string[];
        birthLocationId: string | null;
        residenceLocationId: string | null;
        isInTrash: boolean;
        movedToTrashDate: string | null;
    }, {
        id: string;
        phoneNumber: string;
        secondaryPhoneNumber: string | null;
        fullName: string;
        profilePictureUrl: string | null;
        created_at: string;
        updated_at: string;
        tags: {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: string;
            updated_at: string;
            groupId: string;
        }[];
        shortId: number;
        firstName: string | null;
        gender: string | null;
        birthDate: string | null;
        instagram: string | null;
        mail: string | null;
        dni: string | null;
        alternativeNames: string[];
        birthLocationId: string | null;
        residenceLocationId: string | null;
        isInTrash: boolean;
        movedToTrashDate: string | null;
    }>, "many">;
}, z.UnknownKeysParam, z.ZodTypeAny, {
    profiles: {
        id: string;
        phoneNumber: string;
        secondaryPhoneNumber: string | null;
        fullName: string;
        profilePictureUrl: string | null;
        created_at: string;
        updated_at: string;
        tags: {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: string;
            updated_at: string;
            groupId: string;
        }[];
        shortId: number;
        firstName: string | null;
        gender: string | null;
        birthDate: Date | null;
        instagram: string | null;
        mail: string | null;
        dni: string | null;
        alternativeNames: string[];
        birthLocationId: string | null;
        residenceLocationId: string | null;
        isInTrash: boolean;
        movedToTrashDate: string | null;
    }[];
}, {
    profiles: {
        id: string;
        phoneNumber: string;
        secondaryPhoneNumber: string | null;
        fullName: string;
        profilePictureUrl: string | null;
        created_at: string;
        updated_at: string;
        tags: {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: string;
            updated_at: string;
            groupId: string;
        }[];
        shortId: number;
        firstName: string | null;
        gender: string | null;
        birthDate: string | null;
        instagram: string | null;
        mail: string | null;
        dni: string | null;
        alternativeNames: string[];
        birthLocationId: string | null;
        residenceLocationId: string | null;
        isInTrash: boolean;
        movedToTrashDate: string | null;
    }[];
}>>;
export declare class FindByTagGroupsProfileResponseDto extends FindByTagGroupsProfileResponseDto_base {
}
export {};
