import z from 'zod';
export declare const findOneTagResponseSchema: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    name: z.ZodString;
    groupId: z.ZodString;
    type: z.ZodNativeEnum<{
        PROFILE: "PROFILE";
        EVENT: "EVENT";
        PARTICIPANT: "PARTICIPANT";
        NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
    }>;
    created_at: z.ZodDate;
    updated_at: z.ZodDate;
}, {
    group: z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        color: z.ZodString;
        isExclusive: z.ZodBoolean;
        created_at: z.ZodDate;
        updated_at: z.ZodDate;
    }, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
        color: string;
        created_at: Date;
        updated_at: Date;
        isExclusive: boolean;
    }, {
        id: string;
        name: string;
        color: string;
        created_at: Date;
        updated_at: Date;
        isExclusive: boolean;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    name: string;
    type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
    created_at: Date;
    updated_at: Date;
    groupId: string;
    group: {
        id: string;
        name: string;
        color: string;
        created_at: Date;
        updated_at: Date;
        isExclusive: boolean;
    };
}, {
    id: string;
    name: string;
    type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
    created_at: Date;
    updated_at: Date;
    groupId: string;
    group: {
        id: string;
        name: string;
        color: string;
        created_at: Date;
        updated_at: Date;
        isExclusive: boolean;
    };
}>;
declare const FindOneTagResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    groupId: z.ZodString;
    type: z.ZodNativeEnum<{
        PROFILE: "PROFILE";
        EVENT: "EVENT";
        PARTICIPANT: "PARTICIPANT";
        NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
    }>;
    created_at: z.ZodString;
    updated_at: z.ZodString;
    group: z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        color: z.ZodString;
        isExclusive: z.ZodBoolean;
        created_at: z.ZodString;
        updated_at: z.ZodString;
    }, z.UnknownKeysParam, z.ZodTypeAny, {
        id: string;
        name: string;
        color: string;
        created_at: string;
        updated_at: string;
        isExclusive: boolean;
    }, {
        id: string;
        name: string;
        color: string;
        created_at: string;
        updated_at: string;
        isExclusive: boolean;
    }>;
}, z.UnknownKeysParam, z.ZodTypeAny, {
    id: string;
    name: string;
    type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
    created_at: string;
    updated_at: string;
    groupId: string;
    group: {
        id: string;
        name: string;
        color: string;
        created_at: string;
        updated_at: string;
        isExclusive: boolean;
    };
}, {
    id: string;
    name: string;
    type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
    created_at: string;
    updated_at: string;
    groupId: string;
    group: {
        id: string;
        name: string;
        color: string;
        created_at: string;
        updated_at: string;
        isExclusive: boolean;
    };
}>>;
export declare class FindOneTagResponseDto extends FindOneTagResponseDto_base {
}
export {};
